function mov = fritm_mov(im, mname)
% Create a movie of FRITM
% im has size 257 x 257

% Parameters
p = 257;
n = log2(p - 1);
wname = 'sym2';
dwtmode('per');

% Take the transforms
[r, s, m] = fritm(im, wname);
[w, ws] = wavedec2(im(1:end-1, 1:end-1), n, wname);

ncoefs = linspace(16, 512, 32);

N = (p-1)^2;

range = [0, 1];

% Quick Time movie
MakeQTMovie('cleanup');
MakeQTMovie('start', mname);
MakeQTMovie('framerate', 6);		% 2 frame per second

for k = 1:length(ncoefs)
    cr = mterms(r, ncoefs(k));    
    imrec = ifritm(cr, s, m, wname);    
    
    % Do the same with WAVE2
    cw = mterms(w, ncoefs(k));
    wimrec = waverec2(cw, ws, wname);
    
    clf;
    
    subplot('position', [0.3, 0.58, 0.4, 0.4]), 
    imshow(im, range);
    
    %subplot(1, 2, 1);
    subplot('position', [0.05, 0.02, 0.4, 0.4]), 
    imshow(wimrec, range);    
    
    title(sprintf('DWT2: %5d coefs (out of %d)\nSNR = %2.2f dB', ... 
		  ncoefs(k), N, SNR(im(1:end-1, 1:end-1), wimrec)), ...
	  'FontSize', 12);
    
    %subplot(1, 2, 2);
    subplot('position', [0.55, 0.02, 0.4, 0.4]), imshow(im)
    imshow(imrec, range);
    
    title(sprintf('FRIT: %5d coefs (out of %d)\nSNR = %2.2f dB', ...
		  ncoefs(k), N, SNR(im, imrec)), ...
	  'FontSize', 12);    
        
    MakeQTMovie('addplot');    
end

% Close QT Movie
MakeQTMovie('finish');