function G = makeGauss(N, a, b, w)
% Make a half-plane Gaussian image of size N by N
% y = ax + b is the division line

if ~exist('w', 'var')
    w = 1;
end

x = linspace(-1,1,N);
y = linspace(-1,1,N);
[X,Y] = meshgrid(x,y);

% Gausssian
G = exp(-w *(X.^2 + Y.^2));

% Half plane
W = (Y <= a*X + b);

% Gaussian-windowed half-plane
G = G .* W;

% Image
imagesc(x,y,G), colorbar
xlabel('x'), ylabel('y')
axis square

% Surface
% figure;
% surfc(x,y,G); 				% surf plot with contour plot
% xlabel('x'), ylabel('y'), zlabel('f(x,y)')