function plottopdir(ra, n, sorp)
% Plot the top n projections of FRAT

if exist('n', 'var') == 0
    K = [1:5];    
elseif length(n) == 1
    K = [1:n];
else
    K = n;
end

n = length(K);

% Energy from each projection
var_ra = var(ra, 1);
total_var = sum(var_ra);

% Sort into decending order
[sort_var, sort_ind] = sort(var_ra);
sort_var = fliplr(sort_var);
sort_ind = fliplr(sort_ind);

% Plot the top n projections (which highest energy)
xrange = [1, size(ra, 1)];

for i = 1:n,
    subplot(n, 1, i),
    if exist('sorp', 'var') & sorp == 's'
	stem(ra(:,sort_ind(K(i))), '.'),
    else
	plot(ra(:,sort_ind(K(i)))),
    end
    
    title(sprintf('Direction (k) = %d; Energy = %.2f%%', ...
		  sort_ind(K(i))-1, 100 * sort_var(K(i))/ total_var)),
    set(gca, 'XTickLabel', []);
    set(gca, 'XLim', xrange);
    
    % Zero line in the midle for y axis
    ymax = 1.1 * max(abs(ra(:,sort_ind(K(i)))));
    set(gca, 'YLim', [-ymax, ymax]);    
end
